3v4l.org

run code in 200+ php & hhvm versions
Bugs & Features
<?php $needsVersion = '5.2'; $versions = ['5', '5.x', '5.1', '5.2', '5.2-dev', '5.2.0', '5.2.1', '5.3']; foreach ($versions as $version) { if (version_compare($version, $needsVersion, '>=')) { echo "{$version} >= $needsVersion\n"; } else { echo "{$version} < $needsVersion\n"; } }
Output for 5.6.0 - 5.6.30, hhvm-3.15.4, 7.0.0 - 7.1.20
5 < 5.2 5.x < 5.2 5.1 < 5.2 5.2 >= 5.2 5.2-dev < 5.2 5.2.0 >= 5.2 5.2.1 >= 5.2 5.3 >= 5.2